[MOD] quimsonde

Démarré par bdd_1, 28 Mars 2013, 12:00:51

« précédent - suivant »

bdd_1

Lu,
Petit problème?
405 Deprecated: Function ereg_replace() is deprecated in xxx/ogspy/mod/quimsonde/pages/own_details.php on line 405
MAC - OGSpy 3.2.0 - Xtense 2.6.2 - OGXtense GM 2.6.1.0 - FF41.0.2 - free.fr

Jedinight


Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

bdd_1

Lu,
Cela vient peut être du serveur, vu que çà fonctionne sur free.fr
Le BBCode pour les statistiques foire mais le reste à l'aire de fonctionner.
PS: le mod est orphelin mais peut être que quelqu'un à déjà vu ce problème ^^.
MAC - OGSpy 3.2.0 - Xtense 2.6.2 - OGXtense GM 2.6.1.0 - FF41.0.2 - free.fr

roms0406

Salut,

Je l'utilise très souvent et je n'ai jamais vu cette erreur, aussi bien quand j'étais sur 000webhost que maintenant sur hostinger ;)

bdd_1

#4
Lu,
Ok, ereg_replace est une commande obselete sous php 5.3.X
J'ai donc remplacé ligne 405 dans own_details.php :
return ereg_replace("<[^>]*>","",$text);
return preg_replace("/<[^>]*>/","",$text);
MAC - OGSpy 3.2.0 - Xtense 2.6.2 - OGXtense GM 2.6.1.0 - FF41.0.2 - free.fr

Anubys

D'ailleurs il est plus disponible depuis un certain temps ce mods.

Quelqu'un est dessus ?

Jedinight

Non mais je vais pas tout reprendre ^^

Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

homer

#7
J'ai découvert trois défaut d'affichage:

Le premier c'est dans la vue des espions:
A côté des coordonnées il y a un 'E' il serait bien de préciser que ceci sert à ouvrir les rapports d'espionnage d'une planète.

Le deuxième c'est dans la vue analyser (souris sur un joueur/alliance puis clique sur analyser):
La ligne qui récapitule les espionnage pour les heures (en bas du tableau) est décalée d'un cran vers la gauche.

Le troisième dans la page mes détails:
Le graphique est indisponible (positionner la souris sur l'icône du graphique en bas d'un tableau).
ÉDIT:   les graphiques fonctionnent mais pas quand il y a trop peu d'espionnage. réduisez l'intervalle d'étude pour le constater.
ÉDIT2: Certains graphiques (planètes, jours e distances) ne s'affichent quand même pas.

Si il y a la possibilité que la dernière date de l'intervalle d'étude soit celle d'aujourd'hui.

Merci et bon courage à vous.

Jedinight


Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

Alderande

Première fois que je vois ce message d'erreur...Si quelqu'un a une idée:
CitationDeprecated: Function ereg_replace() is deprecated in /home/u454773633/public_html/ogspy/mod/quimsonde/pages/own_details.php on line 405

la ligne 405 dit ceci:
return ereg_replace("<[^>]*>","",$text);

Bien que je doute que cela vienne du code puisqu'avant ça fonctionnait bien sous FREE.

Merci


EDIT de mon post avant même de l'envoyer^^ A priori la fonction ereg_ est obsolète !!! donc si je comprends bien ce que j'ai lu si je remplace ereg_replace par preg_replace ça fonctionnera???  Je test ^^
***Au 03/07/2013***
Windows Vista service pack 2
FF 21.0
OGSPY 3.1.3 + Autoupdate 2.0.9 (version tip)sous Hostinger (hébergement gratuit)  PHP Version 5.4.14
Toolbar Xtense 2.5.2
Mod Xtense: 2.4.3 (version tip)
Ogspy Android
Ogame 5.5.1  - Uni 64/Leo/Sirius
---
GM V 1.8
AntiGameOrigin V 5.4.6
InfoCompte V 3.11.6

Alderande

Bon suite de mon post précédent... en fait maintenant j'ai un autre message d'erreur:

CitationWarning: preg_replace(): Unknown modifier ']' in /home/u454773633/public_html/ogspy/mod/quimsonde/pages/own_details.php on line 405

Je sèche! (vivement la pluie  :P)
***Au 03/07/2013***
Windows Vista service pack 2
FF 21.0
OGSPY 3.1.3 + Autoupdate 2.0.9 (version tip)sous Hostinger (hébergement gratuit)  PHP Version 5.4.14
Toolbar Xtense 2.5.2
Mod Xtense: 2.4.3 (version tip)
Ogspy Android
Ogame 5.5.1  - Uni 64/Leo/Sirius
---
GM V 1.8
AntiGameOrigin V 5.4.6
InfoCompte V 3.11.6

Alderande

Citation de: Alderande le 26 Juin 2013, 19:53:28
Première fois que je vois ce message d'erreur...Si quelqu'un a une idée:
la ligne 405 dit ceci:
return ereg_replace("<[^>]*>","",$text);

Bien que je doute que cela vienne du code puisqu'avant ça fonctionnait bien sous FREE.

Merci


EDIT de mon post avant même de l'envoyer^^ A priori la fonction ereg_ est obsolète !!! donc si je comprends bien ce que j'ai lu si je remplace ereg_replace par preg_replace ça fonctionnera???  Je test ^^

Bon après recherche sans trop de difficultés...enfin si; on trouve mais en version anglaise!!! Donc j'ai la solution^^
Merci Google^^

Alors déjà le ereg_replace est remplacé par preg_replace (c'est la faute au php, enfin depuis le php 5.3)
Ensuite pour la 2ème erreur, c'est qu'il faut ajouter un séparateur == > | autour de l'expression ^^

Du coup ça donne ça:

return preg_replace("| <[/^>]*> |","",$text);

Et voilà comment un non-codeur trouve enfin une solution à son problème ^^ Voilà ça servira pour la communauté OGSPY ^^
***Au 03/07/2013***
Windows Vista service pack 2
FF 21.0
OGSPY 3.1.3 + Autoupdate 2.0.9 (version tip)sous Hostinger (hébergement gratuit)  PHP Version 5.4.14
Toolbar Xtense 2.5.2
Mod Xtense: 2.4.3 (version tip)
Ogspy Android
Ogame 5.5.1  - Uni 64/Leo/Sirius
---
GM V 1.8
AntiGameOrigin V 5.4.6
InfoCompte V 3.11.6

machine

Citation de: Alderande le 26 Juin 2013, 21:21:59

Et voilà comment un non-codeur trouve enfin une solution à son problème ^^ Voilà ça servira pour la communauté OGSPY ^^

Une vocation vient de naitre ....

;)

Framework php sécurisé et simple à prendre en main avec générateur web http://mkframework.com/

Jedinight

SI qui me sonde est sous bitbucket, propose une correction de bug ;)

Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

Alderande

Heu ... J'ai pas pigé le fonctionnement pour proposer une correction...Pour ça que je la met ici ^^

Pas oublié j'suis pas codeur ^^ hein machine   8)
***Au 03/07/2013***
Windows Vista service pack 2
FF 21.0
OGSPY 3.1.3 + Autoupdate 2.0.9 (version tip)sous Hostinger (hébergement gratuit)  PHP Version 5.4.14
Toolbar Xtense 2.5.2
Mod Xtense: 2.4.3 (version tip)
Ogspy Android
Ogame 5.5.1  - Uni 64/Leo/Sirius
---
GM V 1.8
AntiGameOrigin V 5.4.6
InfoCompte V 3.11.6